/* CSS STYLE FOR IMAGE MODAL/DISPLAY */

.modal-target {
    width: 300px;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
  }
  
  .modal-target:hover {opacity: 0.7;}
  
  /* The Modal (background) */
  .modal {
    display: none; 
    position: fixed;
    z-index: 1; 
    padding-top: 50px; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: hidden; 
    background-color: rgb(0,0,0);
  }
  
  /* Modal Content (image) */
  .modal-content {
    margin: auto;
    display: block;
    width: 35%;
    opacity: 1 !important;
    max-width: 1200px;
  }
  
  /* Caption of Modal Image */
  .modal-caption {
    margin: auto;
    display: block;
    width: 45%;
    max-width: 1200px;
    text-align: center;
    color: white;
    font-weight: 700;
    font-size: 1em;
    margin-top: 32px;
  }
  
  /* The Close Button */
  .modal-close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
    z-index: 30;
  }
  
  .modal-close:hover,
  .modal-close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
  }

  #imageFigure.zoom {
    
    cursor: zoom-in;
  }
  #imageFigure.zoom img:hover {
    opacity: 0;
  }
  #imageFigure.zoom img {
    transition: opacity 0.5s;
    display: block;
    width: 100%;
  }
  .inputslider {
    background: rgb(171 160 160 / 39%);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 10%;
}
.button {
    border: none;
    background: none;
}

.inputslider .range{
    -webkit-appearance: none;
    height: 3px;
    width: 100%;
    background: #ddd;
    border-radius: 5px;
    border: none;
    outline: none;
    accent-color: white;
}
.modal-image{
  height: 680px;
  /* transform: translate(0px, 0px) scale(1.2); */
  position: relative;
  cursor: pointer;
  margin-bottom: 12px;
  margin-top: 50px;
}

/* MASONRY STYLE */






@media (min-width: 320px) and (max-width: 480px){
  .modal {
    padding-top: 50px !important; 
  }
  .carousel-caption {
    padding-top: 6.25rem !important;
  }
  
.inputslider {
  width: 35% !important;
  display: none !important;
}

.modal-image {
  height: auto;
  /* top: 50px !important; */
  /*margin-top: 0px !important;*/
}

}



/*bootstrap class overwrite*/
.carousel-caption{
  position: sticky !important;
  padding-top: 0;
  bottom: 0;
  font-family: 'Crimson Text', serif;
}
.carousel-inner{
  height: 100%;
  overflow:unset !important ;
}
.carousel-item{
  height: 100%;
}


.dropdown-menu-dark .dropdown-item {
  color: #000 !important;
}
.sf-menu a {
  color: #000 !important;
}
li>a:hover, .sf-menu li.current>a {
  color: #666 !important;
}
.dropdown-toggle::after {
  display: none;
}
.dropdown-item:hover {
  color: #666 !important;
  background: none !important;
}
.grid {
  -ms-flex: 25%; /* IE10 */
  flex: 25%;
  max-width: 33%;
  padding: 0 2px;
}
.grid-item{
  margin-top: 4px;
  padding: 5px;
  /* vertical-align: middle; */
  width: 100%;
}



.carousel.pointer-event {
  touch-action: pan-y pinch-zoom;
}

.carousel-control-next, .carousel-control-prev {
  width: 5%;
}